Skip to main content
GET
/
fleet
/
hos
/
violations
Get all driver HOS violations
curl --request GET \
  --url https://api.samsara.com/fleet/hos/violations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "violations": [
        {
          "day": {
            "endTime": "2019-06-14T12:00:00Z",
            "startTime": "2019-06-13T12:00:00Z"
          },
          "description": "Daily Off-Duty Time (Canada South-10 hours)",
          "driver": {
            "id": "45646",
            "externalIds": {},
            "name": "Driver Bob"
          },
          "durationMs": 31970000,
          "type": "shiftHours",
          "violationStartTime": "2019-06-13T19:08:25Z"
        }
      ]
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverIds
string[]

A filter on the data based on this comma-separated list of driver IDs and externalIds. Example: driverIds=1234,5678,payroll:4841

startTime
string

A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

types
string[]

A filter on violations data based on the violation type enum. Supported types: NONE, californiaMealbreakMissed, cycleHoursOn, cycleOffHoursAfterOnDutyHours, dailyDrivingHours, dailyOffDutyDeferralAddToDay2Consecutive, dailyOffDutyDeferralNotPartMandatory, dailyOffDutyDeferralTwoDayDrivingLimit, dailyOffDutyDeferralTwoDayOffDuty, dailyOffDutyNonResetHours, dailyOffDutyTotalHours, dailyOnDutyHours, mandatory24HoursOffDuty, restbreakMissed, shiftDrivingHours, shiftHours, shiftOnDutyHours, unsubmittedLogs

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

List of violations data

pagination
object
required

Pagination parameters.